<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1122
Name: Pediatric GCS_Eyes
Description: Pediatric GCS_Eye: Pediatric Glasgow Coma Scale Eyes
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808">
   <title>Pediatric GCS_Eyes</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1122
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]
Item: (PediatricGCS_Eyes)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]"
         id="d15e3495-false-d4923e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]) &lt;= 1">(PediatricGCS_Eyes): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1122
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]
Item: (PediatricGCS_Eyes)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]"
         id="d15e3521-false-d4940e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(PediatricGCS_Eyes): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="string(@moodCode) = ('EVN')">(PediatricGCS_Eyes): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']) &gt;= 1">(PediatricGCS_Eyes): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']) &lt;= 1">(PediatricGCS_Eyes): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="count(hl7:code[(@code = '31351000146104' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(PediatricGCS_Eyes): element hl7:code[(@code = '31351000146104' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="count(hl7:code[(@code = '31351000146104' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(PediatricGCS_Eyes): element hl7:code[(@code = '31351000146104' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.8.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(PediatricGCS_Eyes): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.8.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1122
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']
Item: (PediatricGCS_Eyes)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']"
         id="d15e3527-false-d5002e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PediatricGCS_Eyes): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.1122')">(PediatricGCS_Eyes): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1122' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1122
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]/hl7:code[(@code = '31351000146104' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (PediatricGCS_Eyes)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]/hl7:code[(@code = '31351000146104' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d15e3532-false-d5021e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PediatricGCS_Eyes): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="@nullFlavor or (@code='31351000146104' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Adelaide pediatric coma score eye opening subscore (observable entity)' and @codeSystemName='SNOMED CT')">(PediatricGCS_Eyes): de elementwaarde MOET een zijn van 'code '31351000146104' codeSystem '2.16.840.1.113883.6.96' displayName='Adelaide pediatric coma score eye opening subscore (observable entity)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1122
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.8.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (PediatricGCS_Eyes)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1122']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.8.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15e3537-false-d5043e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PediatricGCS_Eyes): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.8.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(PediatricGCS_Eyes): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.12.8.1 GCS_EyesCodelijst (DYNAMISCH)'.</assert>
   </rule>
</pattern>
